Get Package Usage
curl --request GET \
--url https://api.decodahealth.com/inventory/packages/usage/{package_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'[
{
"packageId": "<string>",
"patientId": "<string>",
"chargeItemId": "<string>",
"package": {
"name": "<string>",
"price": 123,
"id": "<string>",
"description": "<string>",
"isArchived": false,
"externalId": "<string>",
"internalNotes": "<string>",
"items": [
{
"packageId": "<string>",
"itemId": "<string>",
"price": 123,
"id": "<string>",
"quantity": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123
}
}
],
"category": "<string>",
"numberOfActivePatients": 0,
"numberOfPatients": 0,
"createdDate": "2023-11-07T05:31:56Z"
},
"createdDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"preferredName": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"leadSource": "<string>",
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>",
"dosespotPatientId": "<string>"
},
"chargeItem": {
"quantity": 123,
"price": 123,
"id": "<string>",
"itemId": "<string>",
"chargeId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
]
},
"id": "<string>",
"cancellationReason": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"items": [
{
"quantity": 123,
"price": 123,
"charge": {
"id": "<string>",
"patientId": "<string>",
"total": 123,
"totalOutstanding": 123,
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"itemId": "<string>",
"chargeId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
],
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123
},
"locationId": "<string>",
"locationName": "<string>",
"saleDate": "2023-11-07T05:31:56Z"
}
]
}
]Inventory
Get Package Usage
Get the usage of a package with optional filtering and sorting.
GET
/
inventory
/
packages
/
usage
/
{package_id}
Get Package Usage
curl --request GET \
--url https://api.decodahealth.com/inventory/packages/usage/{package_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'[
{
"packageId": "<string>",
"patientId": "<string>",
"chargeItemId": "<string>",
"package": {
"name": "<string>",
"price": 123,
"id": "<string>",
"description": "<string>",
"isArchived": false,
"externalId": "<string>",
"internalNotes": "<string>",
"items": [
{
"packageId": "<string>",
"itemId": "<string>",
"price": 123,
"id": "<string>",
"quantity": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123
}
}
],
"category": "<string>",
"numberOfActivePatients": 0,
"numberOfPatients": 0,
"createdDate": "2023-11-07T05:31:56Z"
},
"createdDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"preferredName": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"leadSource": "<string>",
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>",
"dosespotPatientId": "<string>"
},
"chargeItem": {
"quantity": 123,
"price": 123,
"id": "<string>",
"itemId": "<string>",
"chargeId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
]
},
"id": "<string>",
"cancellationReason": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"items": [
{
"quantity": 123,
"price": 123,
"charge": {
"id": "<string>",
"patientId": "<string>",
"total": 123,
"totalOutstanding": 123,
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"itemId": "<string>",
"chargeId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
],
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123
},
"locationId": "<string>",
"locationName": "<string>",
"saleDate": "2023-11-07T05:31:56Z"
}
]
}
]Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Filter by patient name
Filter by last activity date
Filter by purchased date
Filter by package status
Sort field
Sort direction (asc or desc)
Response
Successful Response
Package ID that was sold
Patient ID who purchased the package
Charge item ID associated with the package purchase
Status of the sold package
Available options:
USED, ACTIVE, CANCELLED Details of the package
Show child attributes
Show child attributes
Date the package was created
Details of the patient
Show child attributes
Show child attributes
Details of the charge item
Show child attributes
Show child attributes
Unique identifier for the sold package
Reason for cancellation if the package is cancelled
Date the package was updated
Items used in the package
Show child attributes
Show child attributes
⌘I
